
Ruby - Bug #4655

String#to_c does not support scientific notation

05/09/2011 07:45 AM - d-snp (Tinco Andringa)

Status: Closed   

Priority: Normal   

Assignee: matz (Yukihiro Matsumoto)   

Target version: 1.9.3   

ruby -v: - Backport:  

Description

Specs have been added for this but I did not find an issue for it so I report it here.

Example:

assert_equals('2e3+2e4i'.to_c, Complex(2e3, 2e4))

Associated revisions

Revision ca927d60 - 05/09/2011 04:52 AM - Kenta Murata 

complex.c (string_to_c_internal): support scientific notation.

patched by Tinco Andringa. https://github.com/ruby/ruby/pull/16

[ruby-core:36046][Bug #4655]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31492 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/09/2011 08:56 AM - d-snp (Tinco Andringa)

I've submitted a pull request for this bug:

https://github.com/ruby/ruby/pull/16

#2 - 05/09/2011 09:18 AM - mrkn (Kenta Murata)

- Assignee set to tadf (tadayoshi funaba)

- Target version set to 1.9.3

#3 - 05/09/2011 09:32 AM - mrkn (Kenta Murata)

- Assignee changed from tadf (tadayoshi funaba) to matz (Yukihiro Matsumoto)

Sorry, I misunderstood that this issue is about Complex, so I assigned this to tadayoshi.

But, correctly, this is about String.

I assign this to matz again.

#4 - 05/09/2011 10:23 AM - matz (Yukihiro Matsumoto)

- ruby -v changed from ruby 1.9.3dev (2011-05-05 trunk 31435) [x86_64-darwin10.5.0] to -

Hi,

In message "Re: [ruby-core:36049] [Ruby 1.9 - Bug #4655] String#to_c does not support scientific notation"

on Mon, 9 May 2011 09:32:35 +0900, Kenta Murata muraken@gmail.com writes:

|Issue #4655 has been updated by Kenta Murata.

|

|Assignee changed from tadayoshi funaba to Yukihiro Matsumoto

|

|Sorry, I misunderstood that this issue is about Complex, so I assigned this to tadayoshi.

|But, correctly, this is about String.

|I assign this to matz again.

Go ahead and merge it, if my decision is important.
      matz.

#5 - 05/09/2011 05:24 PM - mrkn (Kenta Murata)

- Status changed from Open to Closed

#6 - 05/10/2011 01:23 AM - d-snp (Tinco Andringa)

Issue #4655 has been updated by Kenta Murata.

Status changed from Open to Closed

 Thanks for accepting my patch! :) I'm a bit of a beginner with C, I

plan on submitting patches to bugs I find every now and then. Please

let me know if you have any tips or comments about my code.

To Funaba-san: I saw you replaced my calls to strchr with strpbrk

that's awesome I didn't know that function existed. I also saw you

removed a single line of comment. Are single line comment 'hints'

frowned upon in Ruby? Do they give too much attention to the utter

lack of comments around it? :P

Thank you!

Tinco
Specs have been added for this but I did not find an issue for it so I report it here.

Example:

assert_equals('2e3+2e4i'.to_c, Complex(2e3, 2e4))
